Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Runtime::Internal::Synchronization::queue_data Struct Reference

`#include <synchronization_common.h>`

## Public Attributes
thread_parker | parker
uintptr_t | sleep_address = 0
queue_data * | next = nullptr
uintptr_t | unpark_info = 0

## Detailed Description

Definition at line 303 of file synchronization_common.h.

## Member Data Documentation

## ◆ parker

thread_parker Halide::Runtime::Internal::Synchronization::queue_data::parker

Definition at line 304 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::parking_control::unpark_one(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

## ◆ sleep_address

uintptr_t Halide::Runtime::Internal::Synchronization::queue_data::sleep_address = 0

Definition at line 306 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::parking_control::unpark_one(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

## ◆ next

queue_data* Halide::Runtime::Internal::Synchronization::queue_data::next = nullptr

Definition at line 307 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::parking_control::unpark_one(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

## ◆ unpark_info

uintptr_t Halide::Runtime::Internal::Synchronization::queue_data::unpark_info = 0

Definition at line 308 of file synchronization_common.h.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::parking_control::unpark_one(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_requeue().

The documentation for this struct was generated from the following file:

- src/runtime/synchronization_common.h